#version 330

uniform sampler2D diffuseTexture;

in vec2 fragmentUV;
in vec3 fragmentNormals;

out vec4 outputColor;

void main() {
	vec4 texColor = vec4(texture(diffuseTexture, fragmentUV).rgb, 1.0f);
	vec3 light = vec3(-0.7f, 0.7f, -0.14f);

	outputColor = texColor*clamp(dot(fragmentNormals,light), 0.f, 1.f)*0.8f + texColor*0.2f;
}