#version 330

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normals;
layout(location = 2) in vec2 uv;

out vec2 fragmentUV;
out vec3 fragmentNormals;

uniform mat4 transform;
uniform mat4 worldTransform;

void main() {
	gl_Position = transform * vec4(position, 1);
	fragmentUV = uv;

	fragmentNormals = normalize((worldTransform*vec4(normals,0)).xyz);
}
