#version 330

uniform sampler2D sourceTexture;
uniform float lowerClampBound;
uniform float upperClampBound;

in vec2 fragmentUV;

out vec4 outputColor;

void main() {
	vec3 color = texture(sourceTexture, fragmentUV).rgb;

	/*
	float qColorMagitude = color.r*color.r + color.g*color.g + color.b*color.b;

	if(qColorMagitude < lowerClampBound*lowerClampBound) {
		color = vec3(0,0,0);
	} else if(qColorMagitude > upperClampBound*upperClampBound) {
		color = vec3(1,1,1);
	}
	*/

	//color = max(color - lowerClampBound, 0);

	float brightness = color.r + color.g + color.b;
    brightness = smoothstep(20.f, 30.f, brightness);
 
    outputColor.rgb = mix(vec3(0.f), color.rgb, brightness).rgb;
    outputColor.a = 1.f;
}
