#version 330

uniform sampler2D textureA;
uniform sampler2D textureB;

in vec2 fragmentUV;

const float bloomFactor = 2.f;
const vec3 luminance = vec3(0.2125f, 0.7154f, 0.0721f);

out vec4 outputColor;

void main() {
	vec3 color = texture(textureA, fragmentUV).rgb + bloomFactor * texture(textureB, fragmentUV).rgb;
	outputColor = vec4(color, log(dot(color, luminance) + 1e-6));
}
