#version 330 core

layout(triangles) in;
//3 vertices per tri, output 6 tris (1 for each cm-face)
layout(triangle_strip, max_vertices=18) out;

// contains P*V[i], transforms from WS to cubemap-face i
uniform mat4 cmFaceM[6];

out vec4 worldPosFromGs;

void main() {
	for (gl_Layer = 0; gl_Layer < 6; ++gl_Layer) {
		for (int vertex = 0; vertex < 3; ++vertex) {
			worldPosFromGs = gl_in[vertex].gl_Position;
			gl_Position = cmFaceM[gl_Layer] * worldPosFromGs;
			EmitVertex();
		}
		EndPrimitive();
	}
}
